Support » Plugin: WP-Table Reloaded » [Plugin: WP-Table Reloaded] DataTables Warning

  • Resolved seanpaune

    (@seanpaune)


    Getting an error I’ve never seen before using your tables:

    DataTables warning (table id = ‘wp-table-reloaded-id-8-no-1’): Requested unknown parameter ‘4’ from the data source for row 0

    The problem is that I need to put 7 different tables in the post, and each one is throwing this error so you have to hit “OK” 7 times. Any clue what the cause might be?

    http://wordpress.org/extend/plugins/wp-table-reloaded/

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    thanks for your question, and sorry for the trouble.

    Can you please post the link to the page with your tables? I will then gladly take a look and try to find out where this error comes from.

    Thanks!
    Tobias

    Hey Tobias, thanks for the quick response! I actually haven’t published the page yet as I keep seeing these errors when I preview the page, and hence my not wanting to publish it. Is there any chance it is because I am looking at the preview? I’ve never seen it happen when I do that before, so my thinking was that wasn’t it.

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    no, it shouldn’t be from just viewing the preview. More likely, there’s some sort of JavaScript problem, e.g. from your theme or another plugin.

    You could, as a first try, change your theme to the WordPress Default theme, to see if the error happens there, but to find the exact cause, I need to see the page with the error.

    Regards,
    Tobias

    Hey Tobias,

    Okay, I tried switching the theme and I still got the error. I have published the post back dated so no one will stumble into it by accident. You can find it at http://www.seanpaune.com/2010/05/18/20122013-television-schedule-test/

    Thank you so much for your help!

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    great, thanks for the link to the post!

    Now I can see what’s going on 🙂 You are using the #colspan# feature in your table (which is fine). However, unfortunately, that feature does not work together with the advanced features, like sorting, search, and pagination, that the DataTables JavaScript library offers.
    Now, as your tables don’t really need those features anyway, the solution is rather simple: Either, for each table, uncheck the “Use JavaScript library” checkbox on their respective “Edit” screen, or, if none of your tables on the site need the advanced features, turn off the usage of the library globally, by unchecking “Enable JavaScript library” on the “Plugin Options” screen of WP-Table Reloaded.

    Regards,
    Tobias

    That did it! Thank you SO much!

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi Sean,

    very cool, great to hear that. Thanks a lot for the confirmation!

    Best wishes,
    Tobias

    You are totally getting a donation from me! Awesome plugin, and awesome support.

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi Sean,

    thank you very much, that is great to hear. I really appreciate it!

    Best wishes,
    Tobias

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Plugin: WP-Table Reloaded] DataTables Warning’ is closed to new replies.